Will Mac OS 8.6 work on iMac G3!!!!!!!!!?????

Discussion in 'PowerPC Macs' started by MacintoshMaster, Feb 24, 2010.

  1. macrumors 6502

    MacintoshMaster

    Joined:
    Jan 16, 2010
    Location:
    Britain
    #1
    Hi there,
    I want Mac os 8.6 to work on my iMac G3. It's a slot loading not a tray loading.
    Here are the specs:-

    Hardware Overview:

    Machine Name: iMac
    Machine Model: PowerMac2,2
    CPU Type: PowerPC 750 (32.1)
    Number Of CPUs: 1
    CPU Speed: 350 MHz
    L2 Cache (per CPU): 512 KB
    Memory: 512 MB
    Bus Speed: 100 MHz
    Boot ROM Version: 4.1.9f1
    Serial Number: YM042170K2P

    Thanks!
    John.
     
  2. macrumors 65816

    Bennieboy©

    Joined:
    Jan 15, 2009
    Location:
    england
    #2
    yes, it will run without any problems i would imagine ;)
     
  3. macrumors 6502a

    Joined:
    Jun 29, 2008
    Location:
    Finland
    #3
    Maybe. According to Apple-History (a site I recommend you check out) there two different 350Mhz G3 iMacs, one requiring at least 8.5.1, the other 9.0.4. I suggest you compare your specs to those on the site to make sure which one it is.
     
  4. macrumors member

    Paradigm

    Joined:
    Feb 14, 2008
    #4
    I think not, only because the installed OS on a 350Mhz G3 iMac was either OS 9.0.4 or OS. 9.1? Though if you have the installation disc, you would have to do a clean install to get it to OS 8.x

    I have a Grape iMac DV 400Mhz G3 still in use. I bought it March of 1999. It was installed with 9.0.4 and is currently running OS X 10.4.11. 1Gb PC-133 ram, 10Gb HD.
     
  5. macrumors 68040

    MacHamster68

    Joined:
    Sep 17, 2009
    #5
  6. macrumors 6502a

    Joined:
    Jun 29, 2008
    Location:
    Finland
    #6
    http://www.everymac.com/systems/apple/imac/stats/imac_350_indigo.html
    This one on the other hand has minimum of 9.0.4. Incidentally, this is also reported as "PowerMac2,2" in the article, same as OP reported his was...

    Again, maybe, depending on which model OP has.
     
  7. macrumors 68040

    MacHamster68

    Joined:
    Sep 17, 2009
    #7


    yes you are right didnt see the 2.2 , but his open firmware version could be a problem and i dont know how to downgrade that one , as his is upgraded to run osx
     

Share This Page